도구
웹 스크래핑
Scrape a web page and return its content as markdown. Supports most public web pages; some sites (e.g. X/Twitter, Reddit) that block automated access are rejected immediately.
Authentication: This endpoint accepts either a Bearer API key or a SIGN-IN-WITH-X header for x402 wallet-based authentication. The legacy X-Sign-In-With-X header is also accepted during migration. When using x402, a 402 Payment Required response indicates insufficient balance and includes top-up instructions.
POST
/
augment
/
scrape
/api/v1/augment/scrape
curl --request POST \
--url https://api.venice.ai/api/v1/augment/scrape \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://example.com"
}
'import requests
url = "https://api.venice.ai/api/v1/augment/scrape"
payload = { "url": "https://example.com" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: 'https://example.com'})
};
fetch('https://api.venice.ai/api/v1/augment/scrape', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"url": "https://example.com",
"content": "<string>",
"format": "markdown"
}{
"error": "<string>",
"details": {
"_errors": [],
"field": {
"_errors": [
"Field is required"
]
}
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}이것은 실험적 API입니다. 요청 및 응답 형식은 사전 통보 없이 변경될 수 있습니다.
url 필드에 공개적으로 접근 가능한 URL을 보내세요. API는 페이지 콘텐츠를 markdown으로 반환합니다.
스크래퍼는 먼저 대상 사이트의 네이티브 markdown 지원(Cloudflare Markdown for Agents 사용)을 시도한 다음 헤드리스 브라우저 추출로 폴백합니다. 자동화된 접근을 차단하는 일부 사이트(예: X/Twitter, Reddit)는 400 오류와 함께 즉시 거부됩니다.
가격: 요청당 $0.01.
예제 (cURL)
curl -X POST https://api.venice.ai/api/v1/augment/scrape \
-H "Authorization: Bearer $VENICE_API_KEY" \
-H "Content-Type: application/json" \
-d '{"url": "https://example.com"}'
인증
BearerAuthsiwx
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
본문
application/json
The URL to scrape
예시:
"https://example.com"
⌘I
/api/v1/augment/scrape
